Bug 250099 - Some keys on the botto. row of keyboard don't work
Some keys on the botto. row of keyboard don't work
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-30 10:33 EDT by Matěj Cepl
Modified: 2008-06-16 22:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log file (101.41 KB, text/plain)
2007-07-30 10:33 EDT, Matěj Cepl
no flags Details
sCreenshot with displayed XEV (391.31 KB, image/png)
2007-07-31 18:47 EDT, Matěj Cepl
no flags Details
/etc/X11/xorg.conf (2.28 KB, text/plain)
2007-08-01 12:09 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (40.91 KB, text/plain)
2007-08-01 12:10 EDT, Matěj Cepl
no flags Details
gconf dump corrupting my keyboard (1.24 KB, text/xml)
2007-08-03 08:19 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2007-07-30 10:33:25 EDT
Description of problem:
So.e keys on the botto. of the keyboard (guess whi.h ones?) of the laptop I use
just don't show up in Gno.e. I thought that the notebook is falling apart but
keyboard works perfe.tly well both in .onsole and in GDM.

Currently I a. using Xorg w/o the .onfiguration file whatsoe.er, but .y lo.ale
is CZeCh one (seeMs like upper-Case letter work!)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start GnoMe
2.write soMething soMewhere
Actual results:
soMe keys don't show up (MCXZV)

Expected results:
they should

Additional info:
Comment 1 Matěj Cepl 2007-07-30 10:33:25 EDT
Created attachment 160246 [details]
log file
Comment 2 Matěj Cepl 2007-07-31 18:47:41 EDT
Created attachment 160379 [details]
sCreenshot with displayed XEV

The strange thing is that it sees like whole keyboard departent is doing just
well thank you, but for GnoMe MMissing froM the piCture.
Comment 3 Matěj Cepl 2007-08-01 12:09:56 EDT
Created attachment 160425 [details]

Of course, (as a Czech proverb says) smith's horse is always barefoot, so I
forgot to attach the interesting info about this computer.
Comment 4 Matěj Cepl 2007-08-01 12:10:41 EDT
Created attachment 160426 [details]
Comment 5 Matěj Cepl 2007-08-01 12:13:03 EDT
There seems to be a way around this problem -- [caps lock] switched on,
[SHIFT]ed keys are working in writing correct lowercase letters. But it is a
darn inconvenient for writing longer texts.
Comment 6 Matěj Cepl 2007-08-03 06:41:19 EDT
After IRC chat on #desktop Behdad persuaded me, that the problem is not in Xorg,
but they I have some nonsense in gconf. After removal ~/.gconf keyboard works
again, but well -- removing of .gconf sucks ;-).

Currently, I have limited whole problem to 1.6MB gconf dump. Will try to
investigate more. Should I assign it?
Comment 7 Matěj Cepl 2007-08-03 08:19:28 EDT
Created attachment 160601 [details]
gconf dump corrupting my keyboard

I think I have managed to localize the problem to the attached gconf settings.
When I load error.xml it breaks my keyboard, when I load original settings and
unload error.xml everything is all right. Any ideas, what's wrong with it?
Comment 8 Matthias Clasen 2007-08-03 14:12:21 EDT
So either gnome-settings-daemon does something wrong when grabbing those key
combinations, or the super modifier is behaving wierd in your xkb setup
Comment 9 Ray Strode [halfline] 2007-08-03 14:33:05 EDT
*sigh*, i know what's going on... one sec
Comment 10 Ray Strode [halfline] 2007-08-03 14:38:42 EDT
You're hitting


which was bug 201176.

We "fixed" the problem by only allowing multimedia keys to be set to those
actions.  <Super>-P just isn't allowed for x.

Either you somehow bypassed the checks that disallow it, or you had it set in
your configuration before we disallowed it (or we've since dropped the checks)
Comment 11 Ray Strode [halfline] 2007-08-03 14:40:37 EDT
Not quite sure why this is assigned to behdad, moving to control-center-maint
Comment 12 Matěj Cepl 2007-08-03 16:58:17 EDT
(In reply to comment #11)
> Not quite sure why this is assigned to behdad, moving to control-center-maint

I was talking with him about it on IRC, of course, if you know better target for
my wrath, just go ahead. ;-)

And halfline asked me to note, that I haven't bothered with any setting tools (I
don't know if there is any) and set these values directly with gconf-editor.
Comment 13 Matěj Cepl 2007-08-03 16:59:01 EDT
Oh sorry, that's you :-)
Comment 14 Bug Zapper 2008-05-14 09:45:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-06-16 22:00:59 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.